export { LOCALHOST_HOSTNAMES, isLocalhost } from './localhost/localhost.js';
export { URL_SCHEMA, isURL, validateURL } from './schema/schema.js';
export { SOCIAL_MEDIA_HOSTNAMES, SOCIAL_MEDIA_NAMES, SOCIAL_MEDIA_NAME_SCHEMA, SocialMediaName, SocialMediaOptions, isFacebookURL, isGitHubURL, isInstagramURL, isLinkedInURL, isMastodonURL, isPolyworkURL, isSocialMediaURL, isTwitterURL } from './social-media/social-media.js';
export { EXTERNAL_URL_SCHEMA, ExternalURL, INTERNAL_URL_SCHEMA, InternalURL, isExternalURL, isInternalURL, validateExternalURL, validateInternalURL } from './target/target.js';
export { MAX_PORT_NUMBER, MAX_WELL_KNOWN_PORT_NUMBER, MIN_REGISTERED_PORT_NUMBER, PORT_SCHEMA, Port, REGISTERED_PORT_SCHEMA, WELL_KNOWN_PORT_SCHEMA, isPort, validatePort } from './schema/port/port.js';
export { PROTOCOLS, PROTOCOL_SCHEMA, Protocol, isProtocol, validateProtocol } from './schema/protocol/protocol.js';
import 'zod';
