'use strict';

var zod = require('zod');

var c=49151,p=1023,U=p+1,m=zod.z.number().min(0).max(c),w=zod.z.number().min(0).max(p),P=zod.z.number().min(U).max(c);function d(o){m.parse(o);}function g(o){return m.safeParse(o).success}var _=["http","https"],u=zod.z.enum(_);function H(o){u.parse(o);}function T(o){return u.safeParse(o).success}var t=zod.z.instanceof(URL).or(zod.z.string().url().transform(o=>new URL(o)));function D(o){t.parse(o);}function z(o){return t.safeParse(o).success}var M=["localhost","127.0.0.1"];function $(o){let{hostname:n}=t.parse(o);for(let e of M)if(n===e)return !0;return !1}var R=["facebook","github","instagram","linkedin","mastodon","polywork","twitter"],A={facebook:["facebook.com"],github:["github.com"],instagram:["instagram.com"],linkedin:["linkedin.com"],mastodon:["mastodon.social"],polywork:["poly.me","polywork.com"],twitter:["twitter.com"]},Q=zod.z.enum(R);function r(o,n={}){let{hostname:e}=t.parse(o),{name:i}=n;return i?L(e,i):b(e)}function L(o,n){for(let e of A[n])if(o===e||o===`www.${e}`)return !0;return !1}function b(o){for(let n of R)if(L(o,n))return !0;return !1}var V=o=>r(o,{name:"facebook"}),Y=o=>r(o,{name:"github"}),Z=o=>r(o,{name:"instagram"}),oo=o=>r(o,{name:"linkedin"}),to=o=>r(o,{name:"mastodon"}),no=o=>r(o,{name:"polywork"}),eo=o=>r(o,{name:"twitter"});var f=t,x=zod.z.string().startsWith("/");function co(o){f.parse(o);}function po(o){x.parse(o);}function mo(o){return f.safeParse(o).success}function uo(o){return x.safeParse(o).success}

exports.EXTERNAL_URL_SCHEMA = f;
exports.INTERNAL_URL_SCHEMA = x;
exports.LOCALHOST_HOSTNAMES = M;
exports.MAX_PORT_NUMBER = c;
exports.MAX_WELL_KNOWN_PORT_NUMBER = p;
exports.MIN_REGISTERED_PORT_NUMBER = U;
exports.PORT_SCHEMA = m;
exports.PROTOCOLS = _;
exports.PROTOCOL_SCHEMA = u;
exports.REGISTERED_PORT_SCHEMA = P;
exports.SOCIAL_MEDIA_HOSTNAMES = A;
exports.SOCIAL_MEDIA_NAMES = R;
exports.SOCIAL_MEDIA_NAME_SCHEMA = Q;
exports.URL_SCHEMA = t;
exports.WELL_KNOWN_PORT_SCHEMA = w;
exports.isExternalURL = mo;
exports.isFacebookURL = V;
exports.isGitHubURL = Y;
exports.isInstagramURL = Z;
exports.isInternalURL = uo;
exports.isLinkedInURL = oo;
exports.isLocalhost = $;
exports.isMastodonURL = to;
exports.isPolyworkURL = no;
exports.isPort = g;
exports.isProtocol = T;
exports.isSocialMediaURL = r;
exports.isTwitterURL = eo;
exports.isURL = z;
exports.validateExternalURL = co;
exports.validateInternalURL = po;
exports.validatePort = d;
exports.validateProtocol = H;
exports.validateURL = D;
//# sourceMappingURL=out.js.map
//# sourceMappingURL=main.cjs.map